Make WordPress Core

Opened 2 years ago

Closed 6 weeks ago

Last modified 6 weeks ago

#55045 closed defect (bug) (worksforme)

We need to validation on add new temlpate part

Reported by: sumitsingh's profile sumitsingh Owned by:
Milestone: Priority: normal
Severity: normal Version: 5.9
Component: Editor Keywords: has-screenshots
Focuses: Cc:

Description

Hi

We need to add validation when someone try to create Twenty Twenty-Two on add new temlpate part.

Step -
Go to wp-admin/site-editor.php?postType=wp_template_part
Click on add new button
just enter space then you can able to click on create temlpate part. then getting this error "Cannot read properties of undefined (reading 'id')"

More information see quick video.https://www.loom.com/share/b0c78a21e2144dceb09fabc5263a01c7

Change History (1)

#1 @poena
6 weeks ago

  • Component changed from Themes to Editor
  • Milestone Awaiting Review deleted
  • Resolution set to worksforme
  • Status changed from new to closed

Hi

I am going to close this ticket as fixed. When someone access the template part page, using a theme that does not have block templates enabled, the message that shows is:

"The theme you are currently using is not compatible with the Site Editor."

Version 0, edited 6 weeks ago by poena (next)
Note: See TracTickets for help on using tickets.